# WOK
TKWOK
EDL

# EDL_DataMapIteratorOfMapOfFile Class Reference

`#include <EDL_DataMapIteratorOfMapOfFile.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | EDL_DataMapIteratorOfMapOfFile ()
Standard_EXPORT | EDL_DataMapIteratorOfMapOfFile (const EDL_MapOfFile &aMap)
Standard_EXPORT void | Initialize (const EDL_MapOfFile &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const EDL_File & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT EDL_DataMapIteratorOfMapOfFile::EDL_DataMapIteratorOfMapOfFile | ( |  | ) |

Standard_EXPORT EDL_DataMapIteratorOfMapOfFile::EDL_DataMapIteratorOfMapOfFile | ( | const EDL_MapOfFile & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void EDL_DataMapIteratorOfMapOfFile::Initialize | ( | const EDL_MapOfFile & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& EDL_DataMapIteratorOfMapOfFile::Key | ( |  | ) | const

void EDL_DataMapIteratorOfMapOfFile::operator delete | ( | void * | anAddress | ) | `[inline]`

void* EDL_DataMapIteratorOfMapOfFile::operator new | ( | size_t | size | ) | `[inline]`

void* EDL_DataMapIteratorOfMapOfFile::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const EDL_File& EDL_DataMapIteratorOfMapOfFile::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- EDL_DataMapIteratorOfMapOfFile.hxx